> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all reports

> Returns an array of all reports with filtering and sorting capabilities.



## OpenAPI

````yaml GET /reports
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /reports:
    get:
      summary: List all reports
      description: Returns an array of all reports with filtering and sorting capabilities.
      operationId: list-all-reports
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 10
        - name: sort
          in: query
          description: >-
            Comma-separated list of fields to sort by. Prefix with - for
            descending. Available fields: id, name, status, created_at,
            updated_at
          schema:
            type: string
            example: '-created_at'
        - name: filter[project_id][eq]
          in: query
          description: Filter by project ID
          schema:
            type: integer
        - name: filter[status][eq]
          in: query
          description: Filter by report status
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: rpt_abc123def456
                        name: Q1 2025 Carbon Report
                        report_type: quarterly
                        status: complete
                        project_id: 123
                        created_at: '2025-01-15T10:00:00.000Z'
                        updated_at: '2025-01-15T10:00:00.000Z'
                        inclusions: []
                        allocation:
                          id: 1
                          amount: 100.5
                          unit: t
                          created_at: '2025-01-15T10:00:00.000Z'
                    info:
                      items: 1
                      page_size: 10
                      total_items: 1
                      current_page: 1
                      next_page: null
                      previous_page: null
                      total_pages: 1
                      sort: []
                      filter: []
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: rpt_abc123def456
                        name:
                          type: string
                        report_type:
                          type: string
                        status:
                          type: string
                        project_id:
                          type: integer
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        inclusions:
                          type: array
                          items:
                            type: object
                        allocation:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: integer
                            amount:
                              type: number
                            unit:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                  info:
                    type: object
                    properties:
                      items:
                        type: integer
                      page_size:
                        type: integer
                      total_items:
                        type: integer
                      current_page:
                        type: integer
                      next_page:
                        type: integer
                        nullable: true
                      previous_page:
                        type: integer
                        nullable: true
                      total_pages:
                        type: integer
                      sort:
                        type: array
                        items: {}
                      filter:
                        type: array
                        items: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````